<form *ngIf="formGroup" [formGroup]="formGroup" (submit)="onSubmit()">
  <p *ngIf="error" data-cy="general-error" class="text-red-500">
    {{ error }}
  </p>

  <div class="flex flex-col mt-5">
    <label>Monthly Income</label>
    <input
      type="tel"
      formControlName="monthlyIncome"
      mask="separator.0"
      suffix="  EUR"
      data-cy="monthly-income"
    />
    <p
      *ngIf="
        formGroup.controls['monthlyIncome'].touched && formGroup.controls['monthlyIncome'].errors
      "
      data-cy="monthly-income-error"
      class="text-red-500"
    >
      {{ getError('Monthly Income', formGroup.controls['monthlyIncome']) }}
    </p>
  </div>

  <div class="flex flex-col mt-5">
    <label>Requested Amount</label>
    <input
      type="tel"
      formControlName="requestedAmount"
      mask="separator"
      suffix="  EUR"
      data-cy="requested-amount"
    />
    <p
      *ngIf="
        formGroup.controls['requestedAmount'].touched &&
        formGroup.controls['requestedAmount'].errors
      "
      data-cy="requested-amount-error"
      class="text-red-500"
    >
      {{ getError('Requested Amount', formGroup.controls['requestedAmount']) }}
    </p>
  </div>

  <div class="flex flex-col mt-5">
    <label>Loan term (months)</label>
    <input type="tel" formControlName="loanTerm" data-cy="loan-term" />
    <p
      *ngIf="formGroup.controls['loanTerm'].touched && formGroup.controls['loanTerm'].errors"
      data-cy="loan-term-error"
      class="text-red-500"
    >
      {{ getError('Loan Term', formGroup.controls['loanTerm']) }}
    </p>
  </div>

  <div class="flex flex-col mt-5">
    <label for="children">Children</label>
    <select formControlName="children" id="children" data-cy="children">
      <option></option>
      <option value="NONE">None</option>
      <option value="SINGLE">Single</option>
      <option value="MULTIPLE">Multiple</option>
    </select>
    <p
      *ngIf="formGroup.controls['children'].touched && formGroup.controls['children'].errors"
      data-cy="children-error"
      class="text-red-500"
    >
      {{ getError('Children', formGroup.controls['children']) }}
    </p>
  </div>

  <div class="flex flex-col mt-5">
    <label for="coapplicant">Co-applicant</label>
    <select formControlName="coapplicant" id="coapplicant" data-cy="coapplicant">
      <option></option>
      <option value="NONE">None</option>
      <option value="SINGLE_BORROWER">Single Borrower</option>
      <option value="MULTIPLE_BORROWERS">Multiple Borrowers</option>
    </select>
    <p
      *ngIf="formGroup.controls['coapplicant'].touched && formGroup.controls['coapplicant'].errors"
      data-cy="coapplicant-error"
      class="text-red-500"
    >
      {{ getError('Co-applicant', formGroup.controls['coapplicant']) }}
    </p>
  </div>

  <button
    type="submit"
    [disabled]="loading"
    data-cy="submit-btn"
    class="mt-5 inline-flex items-center justify-center px-5 py-3 border border-transparent text-base font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-700 disabled:bg-gray-400"
  >
    Submit
  </button>
</form>
